Bug 439500 - First page of a PS isn't right with -2
First page of a PS isn't right with -2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mpage (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 16:16 EDT by Horst H. von Brand
Modified: 2009-07-14 12:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A small example file that shows the problem (see bug for details) (99.82 KB, application/postscript)
2008-03-28 16:16 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-03-28 16:16:23 EDT
Description of problem:
Running the attached .ps file (the first few pages of
www.cs.princeton.edu/courses/archive/fall06/cos341/handouts/mathcs.pdf) gives a
messed up PS: No borders for the first sheet, the first page isn't rotated as it
should.

Version-Release number of selected component (if applicable):
mpage-2.5.6-2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. mpage -2 15.ps > 15-2.ps
2. gv 15-2.ps
3.
  
Actual results:
15-2.ps sheet 1 seems to be the original page 1 overwritten by the (reduced and
rotated) page 2, and that in turn seems to overwrite the border (as seen on the
second sheet).


Expected results:


Additional info:
Yes, I am still using mpage.
Comment 1 Horst H. von Brand 2008-03-28 16:16:23 EDT
Created attachment 299519 [details]
A small example file that shows the problem (see bug for details)
Comment 2 Horst H. von Brand 2008-03-30 18:57:06 EDT
BTW, I seem to remember a similar problem with mpage from /way/ before.
Comment 3 Tomas Smetana 2008-04-04 05:28:20 EDT
Are you absolutely sure that the original PDF is OK?  If I try to process it by
pdf2ps it complaints:

 **** This file had errors that were repaired or ignored.
 **** The file was produced by: 
 **** >>>> pdfTeX-1.10b <<<<
 **** Please notify the author of the software that produced this
 **** file that it does not conform to Adobe's published PDF
 **** specification.

The produced PostScript looks to be similar to yours but can be processed with
mpage and result is OK.

I really don't know whether this is a bug in mpage or in the original file or in
the intermediate ps file.
Comment 4 Horst H. von Brand 2008-05-05 16:53:41 EDT
That is the file as downloaded, it might very well be broken in some way.

I just checked, here pdf2ps (ghostscript-8.62-3.fc9.i386) doesn't complain and
the result of mpage-2.5.6-2.fc9.i386 is a messed-up first page. What versions do
you have?
Comment 5 Tomas Smetana 2008-05-06 04:39:57 EDT
I have dowloaded the pdf and processed it using ghostscript-8.60-5.fc8 and
mpage-2.5.4-7.1.
Comment 6 Tomas Smetana 2008-05-06 06:23:29 EDT
You're right -- things look different on F-9.  The resulting file doesn't show
the title page correctly after opening in Evince.  After scrolling a few pages
down and up again the title page looks ok...  This is strange.
Comment 7 Bug Zapper 2008-05-14 04:23:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:54:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:02:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.